## org.eclipse.datatools.connectivity.ui.wizards
Class ProfileDetailsPropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

Direct Known Subclasses:
  org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore, ExtensibleProfileDetailsPropertyPage, GenericDBProfilePropertyPage

    public abstract class ProfileDetailsPropertyPage

extends ProfilePropertyPage

Base property page implementation for connection profiles. This implementation takes care of updating the connection profile when OK is pressed. Bug 237720 - had to pull in super.createContents(Composite) code to get around funky issue with setting help

Author:
  shongxum, brianf

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Method Summary
`void` `setPingButtonEnabled(boolean enabled)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, dispose, getConnectionProfile, performOk`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### setPingButtonEnabled

    public void setPingButtonEnabled(boolean enabled)